import { useMemo } from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
import PolymorphicElement from '@s-ui/react-primitive-polymorphic-element';
import { BASE_CLASS, CELL_NUMBERS } from '../settings.js';
import { getColSpanClassNamesTransform } from './settings.js';
import { jsx as _jsx } from "react/jsx-runtime";
export default function LayoutGridItem(_ref) {
  var _ref$as = _ref.as,
      as = _ref$as === void 0 ? 'div' : _ref$as,
      children = _ref.children,
      _ref$colSpan = _ref.colSpan,
      colSpan = _ref$colSpan === void 0 ? 1 : _ref$colSpan,
      l = _ref.l,
      lOffset = _ref.lOffset,
      m = _ref.m,
      mOffset = _ref.mOffset,
      s = _ref.s,
      sOffset = _ref.sOffset,
      xl = _ref.xl,
      xlOffset = _ref.xlOffset,
      xs = _ref.xs,
      xsOffset = _ref.xsOffset,
      xxl = _ref.xxl,
      xxlOffset = _ref.xxlOffset,
      xxs = _ref.xxs,
      xxsOffset = _ref.xxsOffset;
  var spanClassnames = useMemo(function () {
    return getColSpanClassNamesTransform({
      colSpan: colSpan,
      xxl: xxl,
      xl: xl,
      l: l,
      m: m,
      s: s,
      xs: xs,
      xxs: xxs
    });
  }, [colSpan, xxl, xl, l, m, s, xs, xxs]);
  var classNames = cx(BASE_CLASS + "-item", spanClassnames, xxsOffset && BASE_CLASS + "-item--xxsOffset-" + xxsOffset, xsOffset && BASE_CLASS + "-item--xsOffset-" + xsOffset, sOffset && BASE_CLASS + "-item--sOffset-" + sOffset, mOffset && BASE_CLASS + "-item--mOffset-" + mOffset, lOffset && BASE_CLASS + "-item--lOffset-" + lOffset, xlOffset && BASE_CLASS + "-item--xlOffset-" + xlOffset, xxlOffset && BASE_CLASS + "-item--xxlOffset-" + xxlOffset);
  return /*#__PURE__*/_jsx(PolymorphicElement, {
    as: as,
    className: classNames,
    children: children
  });
}
LayoutGridItem.displayName = 'LayoutGridItem';