import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["colSpan"];
import { BASE_CLASS, BREAKPOINTS, CELL_NUMBERS } from '../settings.js';
/**
 * getColSpanClassNamesTransform: gets the classes of each media query
 * depending on the combination of its values. breakpoint key values
 * are preferred over colSpan values
 * @param colSpan
 * @param otherProps {xxs, xs, s, m, l, xl, xxl}
 * @returns {null|string} – classnames for the column span
 */

export var getColSpanClassNamesTransform = function getColSpanClassNamesTransform(_ref) {
  var colSpan = _ref.colSpan,
      otherProps = _objectWithoutPropertiesLoose(_ref, _excluded);

  var getValidBreakpointValue = function getValidBreakpointValue(colSpanValue, breakpointValue) {
    if (CELL_NUMBERS.includes(breakpointValue)) {
      return breakpointValue;
    } else if (CELL_NUMBERS.includes(colSpanValue)) {
      return colSpanValue;
    }

    return false;
  };

  var response = Object.values(BREAKPOINTS).reduce(function (acc, breakpointName) {
    var value;

    if (breakpointName === 'xxs') {
      var colSpanValue = typeof colSpan === 'number' && CELL_NUMBERS.includes(colSpan) ? colSpan : colSpan == null ? void 0 : colSpan[breakpointName];
      value = getValidBreakpointValue(colSpanValue, otherProps[breakpointName]);
    } else {
      value = getValidBreakpointValue(colSpan == null ? void 0 : colSpan[breakpointName], otherProps[breakpointName]);
    }

    return value ? (acc + " " + BASE_CLASS + "-item--" + breakpointName + "-" + value).trim() : acc;
  }, '');
  return response === '' ? null : response;
};