import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["isGapless"];
import { BASE_CLASS, BREAKPOINTS, GUTTER_VALUES } from './settings.js';
export var getGutterClassNames = function getGutterClassNames(gutterConfig) {
  if (gutterConfig === void 0) {
    gutterConfig = {};
  }

  if (GUTTER_VALUES.includes(gutterConfig)) {
    return BASE_CLASS + "--gutter-" + BREAKPOINTS.XXS + "-" + gutterConfig;
  } else if (typeof gutterConfig === 'object') {
    return Object.entries(gutterConfig).map(function (_ref) {
      var key = _ref[0],
          value = _ref[1];
      return Object.values(BREAKPOINTS).includes(key) ? BASE_CLASS + "--gutter-" + key + "-" + value : null;
    }).filter(function (value) {
      return value !== null;
    }).join(' ');
  }

  return null;
};
export var transition = function transition(_ref2) {
  var isGapless = _ref2.isGapless,
      oldProps = _objectWithoutPropertiesLoose(_ref2, _excluded);

  var gutter = oldProps.gutter || isGapless ? 0 : undefined;
  return _extends({
    gutter: gutter
  }, oldProps);
};