import _extends from "@babel/runtime/helpers/esm/extends";
import PropTypes from 'prop-types';
import cx from 'classnames';
import PolymorphicElement from '@s-ui/react-primitive-polymorphic-element';
import { ALIGN_ITEMS, ALIGN_CONTENT, BASE_CLASS, JUSTIFY_CONTENT, GUTTER_VALUES, CELL_NUMBERS, BREAKPOINTS } from './settings.js';
import LayoutGridItem from './gridItem/index.js';
import { getGutterClassNames, transition } from './helpers.js';
import { jsx as _jsx } from "react/jsx-runtime";

function LayoutGrid(_ref) {
  var alignContent = _ref.alignContent,
      alignItems = _ref.alignItems,
      _ref$as = _ref.as,
      as = _ref$as === void 0 ? 'div' : _ref$as,
      children = _ref.children,
      justifyContent = _ref.justifyContent,
      gutter = _ref.gutter;
  var classNames = cx("" + BASE_CLASS, Object.values(ALIGN_CONTENT).includes(alignContent) && BASE_CLASS + "--ac-" + alignContent, Object.values(ALIGN_ITEMS).includes(alignItems) && BASE_CLASS + "--ai-" + alignItems, Object.values(JUSTIFY_CONTENT).includes(justifyContent) && BASE_CLASS + "--jc-" + justifyContent, getGutterClassNames(gutter));
  return /*#__PURE__*/_jsx(PolymorphicElement, {
    as: as,
    className: classNames,
    children: children
  });
}

LayoutGrid.displayName = 'LayoutGrid';

var DeprecatedLayoutGrid = function DeprecatedLayoutGrid(props) {
  return /*#__PURE__*/_jsx(LayoutGrid, _extends({}, transition(props)));
};

export default LayoutGrid;
export { DeprecatedLayoutGrid, LayoutGridItem, ALIGN_CONTENT as LayoutGridAlignContent, ALIGN_ITEMS as LayoutGridAlignItems, JUSTIFY_CONTENT as LayoutGridJustifyContent, GUTTER_VALUES as LayoutGridGutterValues, CELL_NUMBERS as LayoutGridCellNumbers, BREAKPOINTS as LayoutGridBreakpoints };